%define src_ver 1.0
%define languagelocal ellhnika
%define languageeng greek
%define languagecode el

Summary: 	Greek files for ispell
Name: 		ispell-%{languagecode} 
Version: 	1.0
Release: 	7mdk
URL: 		http://kerkis.math.aegean.gr/~dspin/sw/greek/ispell/index.html
Source:		http://kerkis.math.aegean.gr/~dspin/sw/greek/ispell/ellhnika.tar.bz2
Copyright: 	GPL
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Provides: spell-el

Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
PreReq: ispell
Provides: ispell-dictionary

Obsoletes: igreek
Obsoletes: ispell-greek

%description
ispell-el has the spelling data for Greek which is used by
the ispell program. With this extension, you can compose a document
in Greek and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc.

%prep
%setup -n ellhnika
mv -f ellhnika.sml %{languagelocal}.hash

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_prefix}/lib/ispell/%{languagelocal}.hash

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_prefix}/lib/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_prefix}/lib/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

%files
%defattr(644, root, root,755)
%{_prefix}/lib/ispell/*

%changelog
* Fri Mar 7 2003 Warly <warly@mandrakesoft.com> 1.0-7mdk
- add tag Provides spell-el

* Tue Nov 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-6mdk
- Ispell data will remain in /usr/lib/ispell for now

* Thu Sep 19 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-5mdk
- changed Requires: ispell to PreReq: ispell

* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 1.0-4mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 1.0-3mdk
- Cleaned up the spec and moved to standard template.

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-2mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake.

